UF_MODL_CONST_PARAMETER_EDGE UF_MODL_TRIMMED_CURVE_EDGE*/UF_terminate(); }externintufusr_ask_unload(void) {return(UF_UNLOAD_IMMEDIATELY); }
UF_MODL_ask_alive_edge UF_MODL_ask_alive_face UF_MODL_ask_all_members_of_set UF_MODL_ask_angle_edge UF_MODL_ask_angle_tolerance UF_MODL_ask_ball_groove_parms UF_MODL_ask_ball_slot_parms UF_MODL_ask_bead UF_MODL_ask_bend_allowance_formula UF_MODL_ask_bend_operation UF_MODL_...
14 double Corner_Pt[3] = {25.0, 37.0, 48.0}; 15 char *Edge_Len[3] = {"105", "135", "142"}; 16 tag_t BlkTag = NULL_TAG; 17 UF_MODL_create_block1(Sign, Corner_Pt, Edge_Len, &BlkTag); 18 19 //特征找体 20 tag_t BodyTag = NULL_TAG; 21 UF_MODL_ask_feat_body(Bl...
EDGE样条边48//UF_MODL_SP_CURVE_EDGE曲线边49//UF_MODL_FOREIGN_EDGE外边缘50//UF_MODL_CONST_PARAMETER_EDGE参数边51//UF_MODL_TRIMMED_CURVE_EDGE裁剪曲线边52//UF_MODL_CONVERGENT_EDGE收敛边53//判断是否为圆边54if(edge_type ==UF_MODL_CIRCULAR_EDGE)55{56//圆弧矩阵标记、起始角和结束角(弧度...
UF_GDT_modl_data_t UF_GDT_PRODUCT_ATT_TYPE UF_GDT_product_attribute_t UF_GDT_datum_assoc_type_e (view source) Defined in: uf_gdt.h Also known as: UF_GDT_datum_assoc_type_t UF_GDT_datum_assoc_type_p_t Overview Defines an enumerated type for each method of associating a datum...
UF_OBJ_ask_cre_mod_versions (view source) Defined in: uf_obj.h Overview Returns the version of the part in which the given object was created and the version in which it was last modified. The version numbers returned are from 1 to the highest version number of the part, unless there...
UF_CALL(UF_MODL_create_block1(UF_NULLSIGN, corner_pt, edge_lens, &feature)); /* Get the body tag of the feature because UF_feature_type is not transferable but UF_solid_type is. */ UF_CALL(UF_MODL_ask_feat_body(feature, &block)); /* Fill out the structure to specify how th...
UF_MODL_ask_prom_feat_of_solid(proto, &feat)); UF_MODL_prom_map_object_up(proto, feat, &prom)); status = check_promotion(prom); } The selection callback is different. The objects passed to it are already adjusted for scope. The selection callback is passed an allocated arr...
pt = { 100.0, 0.0, 0.0 };//定义原点string[] edge_len = { "100.0", "100.0", "100.0" };//定义长宽高Tag blk_obj_id = Tag.Null;theUfSession.Modl.CreateBlock1(sign, cornet_pt, edge_len, out blk_obj_id);//特征找体Tag BodyTag = Tag.Null;theUfSession.Modl.AskFeat...
NX二次开发-UFUN获取边的光顺性UF_MODL_ask_edge_smoothness(找相切面),1#include<uf.h>2#include<uf_modl.h>3#include<uf_obj.h>456UF_initialize();789//获取面的所有边10uf_list_p_tedge_list;11UF_MODL_ask_face_ed